AgentContext (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.context
Class AgentContext

    java.lang.Object
      org.gcube.common.core.contexts.GCUBEContext
          org.gcube.common.core.contexts.GCUBEPortTypeContext
              org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext
                  org.gcube.datatransfer.agent.impl.context.AgentContext

    public class AgentContext

extends org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext

Author:
  Andrea Manzi (CERN)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext
`org.gcube.common.core.contexts.GCUBEPortTypeContext.PTConsumer`

Field Summary
`protected static AgentContext` | `cache`

Fields inherited from class org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext
`LIFETIME_JNDI_NAME, profile, PUBLICATION_MODE_JNDI_PULL, PUBLICATION_MODE_JNDI_PUSH, PUBLICATIONPROFILE_JNDI_NAME, publicationStatus, RESOURCE_HOME_JNDI_NAME, RPDNAME_JNDI_NAME, WS_HOME_JNDI_NAME`

Fields inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext
`deploymentDescriptor, name, securityDescriptor, WSDD_FILE_NAME, WSSD_WSDD_NAME`

Fields inherited from class org.gcube.common.core.contexts.GCUBEContext
`logger, timers`

Method Summary
`AgentResource` | `createAgent()`
`AgentResource` | `getAgent()`
`static AgentContext` | `getContext()`
`String` | `getJNDIName()`
`String` | `getNamespace()`
`org.gcube.common.core.contexts.GCUBEServiceContext` | `getServiceContext()`

Methods inherited from class org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext
`getLocalHome, getPublicationProfile, getResourceLifeTime, getRPDName, getWSHome, makeKey, onInitialisation`

Methods inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext
`getDeploymentDescriptor, getEPR, getFile, getName, getPersistentFile, getProperty, getSecurityDescriptor, onFailure, onReady, onStateChange, onUpdate`

Methods inherited from class org.gcube.common.core.contexts.GCUBEContext
`debugContext, getJNDIContext, getResource, getTiming, printContext, resetTimer, setJNDIContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected static final AgentContext cache

Method Detail

### getContext

    public static AgentContext getContext()

  Returns:
    profile Context

### getJNDIName

    public final String getJNDIName()

  Specified by:
    `getJNDIName` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`
  Returns:
    the port type name

### getNamespace

    public final String getNamespace()

  Specified by:
    `getNamespace` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`
  Returns:
    the namespace

### getServiceContext

    public org.gcube.common.core.contexts.GCUBEServiceContext getServiceContext()

  Specified by:
    `getServiceContext` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`
  Returns:
    the ServiceContext

### getAgent

    public AgentResource getAgent()
                           throws Exception

  Throws:
    `Exception`

### createAgent

    public AgentResource createAgent()
                              throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.